classification
Title: Add additional aliases for HP Roman 8
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jaraco, lemburg, michael-o, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-08-27 13:39 by michael-o, last changed 2019-09-11 14:21 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8956 merged michael-o, 2018-08-27 13:47
PR 15938 closed miss-islington, 2019-09-11 13:08
PR 15945 merged miss-islington, 2019-09-11 13:31
Messages (7)
msg324178 - (view) Author: Michael Osipov (michael-o) * Date: 2018-08-27 13:39
HP Roman 8 is also known as 'hp-roman8', 'cp1051' and 'ibm1051'. They are missing from the aliases.py.
msg324228 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-28 09:20
Please provide references for the definition of 'cp1051' and 'ibm1051'.
msg324229 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-28 09:27
The hp-roman8 codec was added in issue996067. The link to the original data (ftp://dkuug.dk/i18n/charmaps/HP-ROMAN8) is dead now.
msg324399 - (view) Author: Michael Osipov (michael-o) * Date: 2018-08-30 18:57
Wikipedia references it: https://en.wikipedia.org/wiki/HP_Roman#Roman-8
as well as IBM on its pages: https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_8.0.0/com.ibm.wmqfte.doc/codepages.htm
msg351845 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-09-11 12:44
As an enhancement, this change should not be backported.
msg351854 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-09-11 13:08
New changeset a828514cc3715ebbc700fefa41c0ef044cbd6741 by Jason R. Coombs (Michael Osipov) in branch 'master':
bpo-34519: Add additional aliases for HP Roman 8 (GH-8956)
https://github.com/python/cpython/commit/a828514cc3715ebbc700fefa41c0ef044cbd6741
msg351894 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-09-11 14:13
New changeset fef5bdc645bc5d037505e3da2965dfabb73f58eb by Jason R. Coombs (Miss Islington (bot)) in branch '3.8':
bpo-34519: Add additional aliases for HP Roman 8 (GH-8956) (GH-15945)
https://github.com/python/cpython/commit/fef5bdc645bc5d037505e3da2965dfabb73f58eb
History
Date User Action Args
2019-09-11 14:21:44jaracosetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-09-11 14:13:57jaracosetmessages: + msg351894
2019-09-11 13:31:14miss-islingtonsetpull_requests: + pull_request15579
2019-09-11 13:08:53miss-islingtonsetpull_requests: + pull_request15574
2019-09-11 13:08:44jaracosetmessages: + msg351854
2019-09-11 12:44:37jaracosetnosy: + jaraco

messages: + msg351845
versions: + Python 3.9, - Python 3.6, Python 3.7
2018-08-30 18:57:02michael-osetmessages: + msg324399
2018-08-28 09:27:15serhiy.storchakasetmessages: + msg324229
2018-08-28 09:20:13serhiy.storchakasetnosy: + serhiy.storchaka, lemburg
messages: + msg324228
2018-08-27 13:47:31michael-osetkeywords: + patch
stage: patch review
pull_requests: + pull_request8431
2018-08-27 13:39:51michael-ocreate